Last Comment Bug 470461 - [FIX]Create frames for XBL that's security-blocked (1.8 branch only).
: [FIX]Create frames for XBL that's security-blocked (1.8 branch only).
Status: VERIFIED FIXED
: regression, verified1.8.1.21
Product: Core
Classification: Components
Component: XBL (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Boris Zbarsky [:bz] (Out June 25-July 6)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 11:53 PST by Boris Zbarsky [:bz] (Out June 25-July 6)
Modified: 2009-01-20 12:53 PST (History)
9 users (show)
dveditz: blocking1.8.1.next+
dveditz: wanted1.8.1.x+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Like so (2.49 KB, patch)
2008-12-19 11:53 PST, Boris Zbarsky [:bz] (Out June 25-July 6)
jonas: review+
jonas: superreview+
dveditz: approval1.8.1.next+
Details | Diff | Review

Description Boris Zbarsky [:bz] (Out June 25-July 6) 2008-12-19 11:53:02 PST
Created attachment 353858 [details] [diff] [review]
Like so

See bug 470049 comment 10.  I'd rather not change this on trunk and 1.9.0 since things work ok there, and if I were changing it there I'd want a much more comprehensive change anyway (e.g. explicitly signaling that the XBL load started and signaling if it fails).
Comment 1 Jonas Sicking (:sicking) PTO Until July 5th 2008-12-19 11:59:13 PST
Comment on attachment 353858 [details] [diff] [review]
Like so

Though I thought that 1.8.1.20 was out the door already, and that that was the last release?
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2008-12-19 12:11:42 PST
It's the last Firefox release, not the last browser release off the 1.8 branch.  Both camino and seamonkey will still be shipping 1.8-based Geckos for a few months.
Comment 3 Tony Mechelynck [:tonymec] 2008-12-20 18:12:22 PST
For whatever it's worth, Firefox 2.0.0.21pre nightlies are still being published, so it's not totally impossible that this fix will even find its way into a BonEcho (i.e. Fx2) nightly before that branch is actually chopped off.
Comment 4 Daniel Veditz [:dveditz] 2009-01-16 11:29:38 PST
Comment on attachment 353858 [details] [diff] [review]
Like so

Approved for 1.8.1.21, a=dveditz for release-drivers.
Comment 5 Boris Zbarsky [:bz] (Out June 25-July 6) 2009-01-19 14:23:18 PST
Checked in on 1.8 branch.
Comment 6 Smokey Ardisson (offline for a while; not following bugs - do not email) 2009-01-20 12:53:07 PST
Verified (the password field shows up again on the Wells Fargo home page) in Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en; rv:1.8.1.21pre) Gecko/20090120 Camino/1.6.7pre (like Firefox/2.0.0.21pre)

Thanks bz!

Note You need to log in before you can comment on or make changes to this bug.